Subject: [OSPF] Backbone Area

From: Tom Sanders <[email-masked]>
Date: Sat, 16 Apr 2016 06:13:12 +0530

Hi,

OSPF requires all areas to be connected via the backbone. I wanted to
understand why we have this requirement since IS-IS doesnt mandate such a
thing.

I understand that all the border routers summarize and inject the summary
routes inside the backbone. The backbone then does "distance vector
routing" and injects those summaries to other areas.

How does having a backbone eliminate loops is something that i dont
understand. Can somebody explain that to me?

-- 
Toms.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Sat, 16 Apr 2016 16:30:34 +0000

Hi Tom,

From: OSPF <[email-masked]<mailto:[email-masked]>> on behalf of Tom Sanders <[email-masked]<mailto:[email-masked]>>
Date: Friday, April 15, 2016 at 8:43 PM
To: OSPF WG List <[email-masked]<mailto:[email-masked]>>
Subject: [OSPF] Backbone Area

Hi,

OSPF requires all areas to be connected via the backbone.

Only if the area is connected to any other area.

I wanted to understand why we have this requirement since IS-IS doesnt mandate such a thing.

With this respect, I don’t believe IS-IS offers any more flexibility - there are only level-1 routers, level-2 routers, and level-1-2 routers in IS-IS.

I understand that all the border routers summarize and inject the summary routes inside the backbone. The backbone then does "distance vector routing" and injects those summaries to other areas.

How does having a backbone eliminate loops is something that i dont understand. Can somebody explain that to me?

An Area Border Router (ABR) will only relay summary advertisements received on the backbone area to other areas. ABRs will not relay summary advertisements between non-backbone areas. There are strict route preference rules to eliminate loops. For example, intra-area routes are always preferred over inter-area or external routes irrespective of the cost. The most complex preference rules area for external routes reachable through multiple areas. Refer to section 16.4 in RFC 2328 for all the gory details. Let me know if you have specific questions.

Hope this helps,
Acee

--
Toms.